Google Web Toolkit
Search Google Code:

# Class RuntimeException

public class RuntimeException
extends Exception
// Superclass of `NegativeArraySizeException`, `IllegalStateException`, `IndexOutOfBoundsException`, `UnsupportedOperationException`, `IllegalArgumentException`, `NullPointerException`, `ArrayStoreException`, `ClassCastException`, `ConcurrentModificationException`, `NoSuchElementException`, `MissingResourceException`, `EmptyStackException`
See the official Java API doc for details.

## Constructors

RuntimeException() |
RuntimeException(String) |
RuntimeException(String, Throwable) |
RuntimeException(Throwable) |